آموزش نحوه برخورد با افزونه‌هایی که با ورژن وردپرس تست نشده‌اند

[ad_1]

از جمله سوالات رایج در وردپرس این است که افزونه با ورژن وردپرس تست نشده است. در مورد نصب چنین افزونه‌هایی چه تصمیمی باید گرفت؟ لازم است حذفش کنیم و افزونه دیگری را نصب کنیم؟ در این مقاله در مورد نصب افزونه‌هایی با چنین خطایی صحبت خواهیم کرد. زمانی که افزونه‌ای نصب می‌شود، در پنل مدیریت خطایی مشاهده می‌شود که می‌گوید افزونه با ورژن وردپرس تست نشده است.

چگونه وردپرس اطلاعات تست نشده را دریافت می‌کند؟

مجموعه رسمی صندوق افزونه‌های وردپرس شامل افزونه‌های اپن سورس و رایگان می‌باشد. زمانی که افزونه‌ای درون این صندوق قرار می‌گیرد، لازم است فایل متنی توضیحات افزونه نیز بهمراه افزونه در آن ارسال شود. این فایل توسط افزونه استفاده می‌شود تا صفحه افزونه تولید شود. این فایل متنی دارای تگی با نام تست شده در می‌باشد که اطلاعاتی را به کاربر نمایش می‌دهد. نویسندگان افزونه باید این اطلاعات را به روز رسانی کنند. به این معنا که نسخه جدید افزونه باید فایل متنی مربوطه‌اش پس از تست افزونه به‌ روز رسانی شود.

چرا نویسندگان افزونه این اطلاعات را به روز رسانی نمی‌کنند؟

اکثر نویسندگان افزونه حتی با انتشار آخرین نسخه، فایل متنی افزونه را به روز رسانی نمی‌کنند. در دنیای ایده‌آل تمامی نویسندگان موظف هستند این کار را انجام دهند. اما هیچ کس در دنیای ایده‌آل زندگی نمی‌کند و واقعیت چیز دیگریست. این افزونه‌ها رایگان هستند، بنابراین نویسندگان افزونه دلی بحال فایل متنی این افزونه‌ها نمی‌سوزانند. این نویسندگان ترجیح می‌دهند وقت خود را برای کارهایی که برایشان سودی بهمراه دارد، بگذرانند.

لازم است این افزونه‌ها نصب شود؟

بله، نصب این افزونه‌ها مورد خاصی ندارد. بخاطر اینکه نویسنده افزونه فراموش کرده است فایل متنی را به روز رسانی کند، لازم نیست خود را از خدمات ارزنده آن افزونه محروم کنید. قبل از دانلود افزونه به تاریخ آخرین به روز رسانی افزونه دقت کنید. اگر تاریخ آخرین به روز رسانی مثلا دو سال پیش باشد، ممکن است این افزونه کنار گذاشته شده باشد و بهتر است نصبش نکنید. اما اگر تاریخ آخرین به روز رسانی، جدید باشد لازم نیست نگران باشید.

چه کمکی در این راه می‌توانید بکنید؟

اگر افزونه‌ای را نصب کردید و آنگونه که انتظار داشتید کار کرد، لازم است به بخش سازگاری وارد شوید. نوع ورژن وردپرس و سپس ورژن افزونه را انتخاب کنید و روی دکمه کار می‌کند کلیک کنید. با این کار به بقیه افراد اطلاع می‌دهید که فلان ورژن افزونه با فلان ورژن وردپرس سازگاری دارد و همانطور که گفته بوده کار می‌کند. یا حتی می‌توانید خیلی محترمانه با نویسنده افزونه ارتباط برقرار کنید و بخواهید تا فایل متنی را به روز رسانی کند.

اگر افزونه‌ای خراب باشد چه باید کرد؟

لازم به ذکر است که نویسندگان افزونه‌های رایگان هیچ تعهدی ندارند که افزونه‌هایشان دقیقا آنگونه که قولش را داده بودند، کار کنند. بنابراین اگر به چنین افزونه‌ای برخورد کردید لازم نیست کامنتهای رکیک بگذارید و اظهار عصبانیت کنید. اگر از خراب بودن افزونه اطمینان حاصل کردید، با تیم پشتیبانی افزونه ارتباط برقرار کنید. اگر جوابی نگرفتید، در بخش سازگاری افزونه به دیگران خبر دهید که افزونه خراب است (گزینه خراب است را کلیک کنید).

منبع: wpbeginner

[ad_2]

لینک منبع